=== src/misc_scripts/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = misc_scripts

SCRIPTS = fslecho regscript remove_vols replace_and_average_fmrib linkbedpost ocmr_preproc correct_and_average eddy_correct Text2Vest Vest2Text AnatomicalAverage fsl_abspath fsl_anat

all:
