=== debian/changelog ===
fsl (5.0.4-3~nd11.10+1) oneiric; urgency=low

  * Backported for oneiric.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 24 Aug 2013 13:32:44 -0400

fsl (5.0.4-3) neurodebian; urgency=low

  * debian/patches
    - enanced up_longoptions= to print -o,--option=VALUE i.e. whenever
      both short and long options are available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Aug 2013 09:07:32 -0400

fsl (5.0.4-2) neurodebian; urgency=low

  * debian/patches
    - added up_longoptions= - print --option=VALUE (instead of --option VALUE)
      in --help output to match expected formatting

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 16 Aug 2013 12:44:51 -0400

fsl (5.0.4-1) neurodebian; urgency=low

  * New upstream release (skipped short-lived 5.0.3):
    - Documentation update
    - Various bugfixes
    - New 'baycest' tool for Bayesian analysis for chemical exchange saturation
      transfer z-spectra
    - New script 'first3Dview' for enabling 3D renderings for new vertex
      analysis results
  * Remove fabber patches -- merged upstream.
  * Use dpkg-buildflags to obtain default compiler flags. This also enables
    various hardening options.
  * Rename 'fsl' to 'fsl-core', 'fsl-5.0' to 'fsl-5.0-core', and 'fsl-doc-5.0'
    to 'fsl-5.0-doc'. See related entry in NEWS for the rational. Appropriate
    transitional dummy packages have been added.
  * Adjusted dependencies to recommend/suggest alternative packages for DICOM
    image conversion and distributed computing.

 -- Michael Hanke <mih@debian.org>  Wed, 08 May 2013 08:38:38 +0200

fsl (5.0.2.2-1) neurodebian; urgency=low

  * New upstream release.
  * Removed fix_imglob patch -- now included upstream.
  * Add patches to fix problems with the fabber component -- courtesy of
    Mark White <mark.white@ucl.ac.uk>
    - was buily without the Oxford ASL forward models
    - --model=xxx --help was broken due to a typo in an #ifdef
  * Improve package description to mention data dependencies for some
    components.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Mar 2013 12:44:10 +0100

fsl (5.0.2-4) neurodebian; urgency=low

  * Removed left-over debug statement that broke fsl_sub again.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-3) neurodebian; urgency=low

  * Modifications of fsl_sub behavior and configuration:
    - Add a configuration option to fsl.sh (FSLCLUSTER_DEFAULT_QUEUE) to
      specify a default queue for job submissions. This can be used to amend
      the default queue selection by resource demands.
    - Fix a bug in the Debian patch where job submission fails when fsl_sub is
      called without -q.
    - Fix a bug to actually honor the FSLCUSTER_MAILOPTS variable when set.
    - Restructure and minimize the upstream diff in fsl_sub to make it less
      likely to break again with future upstream changes.

 -- Michael Hanke <mih@debian.org>  Sun, 20 Jan 2012 15:26:26 +0100

fsl (5.0.2-2) neurodebian; urgency=low

  * Fix 'imglob' script (courtesy of Matthew Webster) that caused FEAT
    highlevel analyses to fail.
  * Enable OpenMP support for 'eddy' component.
  * Explicitly mention FSL data packages in package description and explain
    where they can be obtained.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.2-1) neurodebian; urgency=low

  * New upstream bugfix release.
  * Updated patch for for new fsl_sub code.

 -- Michael Hanke <mih@debian.org>  Mon, 17 Dec 2012 17:02:36 +0100

fsl (5.0.1-1) neurodebian; urgency=low

  * New upstream bugfix release. It fixes some critical issues with FEAT
    (was crashing) and post-hoc output timecourses in MELODIC.
  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200

fsl (5.0.0-1) neurodebian; urgency=low

  * New upstream major release. Various new tools, bugfixes and speed
    improvements, as well as new wiki-based documentation.
  * Enable compilation and installation of previously missing and new
    components (Closes: #685486).
  * Added build-dependency on libglu1-mesa-dev and mesa-common-dev for
    fslsurface, as well as libexpatexpat-dev for other new code.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Sep 2012 09:10:33 +0200
