## fsl 5.0.6

=== debian/changelog ===
fsl (5.0.6-2~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Tue, 15 Apr 2014 07:53:16 +0200

fsl (5.0.6-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/control
    - limit build-depends on nvidia-cuda-toolkit only for x86 architectures

  [ Michael Hanke ]
  * Add libpng-dev as an alternative build-dependency to libpng12-dev (Closes:
    #662337).
  * Switch dependencies to plain tcl and tk packages (from tcl8.4/tk8.4).
    This acknowledges the NMU of fsl-4.1 by Sergei Golovan to fix #737187.

 -- Michael Hanke <mih@debian.org>  Mon, 14 Apr 2014 19:00:40 +0200

fsl (5.0.6-1) neurodebian; urgency=low

  * New upstream bugfix release:
    - An error with voxelwise regressors in lower-level FEAT introduced in
      FSL 5.0.5 has been fixed. It is stringly recommend to re-run any
      lower-level FEAT analysis that used voxelwise regressors (e.g. PNM)
      generated with FSL 5.0.5.
    - Bugfixes for POSSUM and the ASL GUI.
  * Downgrade -doc dependency on wikiattachments package from recommended
    to suggested.

 -- Michael Hanke <mih@debian.org>  Fri, 01 Nov 2013 18:16:59 +0100

fsl (5.0.5-1) neurodebian; urgency=low

  * New upstream release.
    - Bedpostx is now CUDA capable for GPU-equipped clusters.
    - Bedpostx now has a gradient non-linearity option.
    - Probtrackx2 can now output an ROIxROI network matrix.
    - Several bugfixes for MELODIC.
    - Multishell qboot bugfix.
  * Re-add dependency on fslview and re-add symlinks (originally removed
    in 4.1.9-1).
  * Add new package fsl-5.0-gpu for the new GPU-accelerated FSL tools.
  * Remove doc wiki attachments from the main source tree (grew to 100MB).
    They are now available from the fsldata source package.
  * Fix bug of using relative paths for menu icons.
  * Bumped Standard version to 3.9.4 -- no changes necessary.
  * Update fix-bashisms patch: oxford_asl requires bash.
  * Fix location of FSL docs. Move from transitional package to new one.
  * Add backport patches to disable CUDA support on the Ubuntu platform.
    It seems that an NVIDIA driver is required to install the CUDA toolkit on
    Ubuntu.

 -- Michael Hanke <mih@debian.org>  Wed, 30 Oct 2013 20:33:24 +0100
