=== debian/control ===
Source: fsl
Section: non-free/science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7),
               zlib1g-dev (>= 1.2.2),
               libboost-dev (>= 1.32.0),
               libpng-dev | libpng12-dev (>= 1.2.8rel),
               libgd2-noxpm-dev (>= 2.0.33) | libgd2-xpm-dev (>= 2.0.33),
               libnewmat10-dev,
               libgdchart-gd2-noxpm-dev | libgdchart-gd2-xpm-dev,
               liboctave-dev | octave3.2-headers | octave3.0-headers,
               tcl (>=8.4.7),
               imagemagick,
               libnifti-dev (>> 1.1.0-1),
               libgiftiio-dev,
               mesa-common-dev,
               libexpat1-dev | libexpat-dev,
               libglu1-mesa-dev | libglu-dev,
               libgomp1,
               nvidia-cuda-toolkit [amd64 i386],
Standards-Version: 3.9.3
Homepage: http://www.fmrib.ox.ac.uk/fsl/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fsl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fsl.git
XS-Autobuild: yes

Package: fsl
Architecture: all
Depends: fsl-core,
         ${misc:Depends},
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new 'fsl-core'
 package which replaces 'fsl'. This package can safely be removed.
 .
 Users aiming to perform a complete FSL installation (including all data
 components) are advised to install the 'fsl-complete' package from
 NeuroDebian.

Package: fsl-5.0
Architecture: all
Depends: fsl-5.0-core,
         ${misc:Depends}
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new
 'fsl-5.0-core' package which replaces 'fsl-5.0'.
 This package can safely be removed.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.

Package: fsl-doc-5.0
Architecture: all
Depends: fsl-5.0-doc,
         ${misc:Depends}
Section: non-free/oldlibs
Description: transitional dummy package
 The only purpose of this package is to enable upgrades to the new
 'fsl-5.0-doc' package which replaces 'fsl-doc-5.0'.
 This package can safely be removed.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.

Package: fsl-core
Architecture: all
Depends:  fsl-5.0-core,
          ${misc:Depends},
Replaces: fsl (<< 5.0.3)
Breaks: fsl (<< 5.0.3)
Description: metapackage for the latest version of FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL installation (including
 all data components) are advised to install the 'fsl-complete'
 package from NeuroDebian.

Package: fsl-5.0-core
Architecture: any
Replaces: fsl-5.0 (<< 5.0.3)
Breaks: fsl-5.0 (<< 5.0.3)
Depends: mozilla-firefox | www-browser,
         tcsh | c-shell,
         tk (>=8.4.7),
         tcl (>=8.4.7),
         bc,
         dc,
         python,
         fslview,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: fsl-5.0-doc (= ${source:Version}),
            fsl-5.0-gpu (= ${binary:Version}),
            fsl-atlases
Suggests: fsl-feeds,
          octave | ${octave:Depends},
          mriconvert | dicomnifti,
          fsl-complete,
          condor | gridengine-client
Conflicts: fsl-fslview,
           fsl-doc-4.1 (<< 4.1.9-5~)
Provides: fsl
Description: analysis tools for FMRI, MRI and DTI brain imaging
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 Some FSL components require additional data packages (fsl-atlases,
 fsl-first-data, fsl-possum-data) that are currently available from the
 NeuroDebian repository only. For more information on how to obtain these
 data packages visit http://neuro.debian.net.
 .
 Users aiming to perform a complete FSL 5.0 installation (including
 all data components) are advised to install the 'fsl-5.0-complete'
 package from NeuroDebian.
 .
 FSL interoperates well with other brain imaging related software. This includes
 Caret, FreeSurfer (cortical flattening and modelling). All FSL tools support
 the NIfTI format.

Package: fsl-5.0-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fslview-doc
Suggests: fsl-5.0-doc-wikiattachments
Provides: fsl-doc
Replaces: fsl-doc-5.0 (<< 5.0.3)
Breaks: fsl-doc-5.0 (<< 5.0.3)
Description: documentation for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 FSL is a comprehensive library of image analysis and statistical tools
 for FMRI, MRI and DTI brain imaging data.
 .
 This package provides the FSL documentation in HTML format.

Package: fsl-5.0-gpu
Architecture: amd64 i386
Depends: fsl-5.0-core (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: GPU-accelerated tools for FSL
 FSL is a comprehensive library of image analysis and statistical tools
 for fMRI, MRI and DTI brain imaging data. The suite consists of various
 command line tools, as well as simple GUIs for its core analysis pipelines.
 Among others, FSL offers implementations of standard GLM analysis,
 white matter tractography, tissue segmentation, affine and non-linear
 co-registration, and independent component analysis.
 .
 This package provides accelerated versions of some FSL commands to utilize
 NVIDIA's CUDA toolkit.
