=== debian/rules ===
--- 
+++ 
@@ -52,17 +52,23 @@
 # install into this directory
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 
+# compile GPU only if building on x86 platform where nvcc present
+COMPILE_GPU:=$(shell which nvcc >/dev/null 2>&1 && echo 1 || echo 0)
+
 # define common environment setup for all make calls
 # complicated LD_LIBRARY expression ensures that no
 # trailing colon ends up in LD_LIBRARY_PATH
 DEB_BUILD_ENV=LD_LIBRARY_PATH=$(FSL_LIBRARY_PATH)$${LD_LIBRARY_PATH:+:$${LD_LIBRARY_PATH}} \
 		FSLDIR="$(FSLDIR)" \
+		FSLDEVDIR="$(FSLDIR)" \
 		FSLCONFDIR="$(FSLCONFDIR)" \
 		DEB_DESTDIR="$(DEB_DESTDIR)" \
 		OPTFLAGS="$(OPTFLAGS)" \
 		ANSI_FLAGS="$(CFLAGS) $(CPPFLAGS)" \
 		DEPENDFLAGS="$(CFLAGS)" \
-		ARCHLDFLAGS="$(LDFLAGS)"
+		ARCHLDFLAGS="$(LDFLAGS)" \
+		COMPILE_GPU="$(COMPILE_GPU)" \
+		CUDA="/usr"
 
 controlfiles:
 	# inject current FSL major version into all templates
@@ -72,7 +78,7 @@
 	done
 	# renamed files that need to have a version-specific name
 	for suffix in 1 desktop dirs install links lintian-overrides manpages menu docs; do \
-		for prefix in 'core' 'doc'; do \
+		for prefix in 'core' 'doc' 'gpu'; do \
 		[ -f debian/fsl-$$prefix.$$suffix ] &&  \
 			mv debian/fsl-$$prefix.$$suffix debian/fsl-$(FSLMAJORVERSION)-$$prefix.$$suffix || true ; \
 		done ; \
@@ -151,8 +157,9 @@
 	# for all relevant binaries installed by the versioned FSL package
 	for f in $$(find debian/tmp/bin \! -type d \! -name Runtcl); do \
 		bname=$$(basename $$f); \
-		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
-		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-core.links ; \
+		[[ "$$bname" == *gpu* ]] && ptype="gpu" || ptype="core" ; \
+		echo "/usr/lib/fsl/$(FSLMAJORVERSION)/fsl_app_wrapper /usr/bin/fsl$(FSLMAJORVERSION)-$$bname" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
+		echo "/usr/share/man/man1/fsl-$(FSLMAJORVERSION).1.gz /usr/share/man/man1/fsl$(FSLMAJORVERSION)-$${bname}.1.gz" >> debian/fsl-$(FSLMAJORVERSION)-$$ptype.links ; \
 	done
 	touch $@
 
@@ -211,6 +218,9 @@
 	dh_installman
 	dh_installdocs
 	dh_installmenu
+	# fixup duplicate GPU tools
+	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*gpu*
+	rm -f debian/fsl-$(FSLMAJORVERSION)-core/usr/lib/fsl/$(FSLMAJORVERSION)/*cuda*
 	dh_lintian
 	dh_link
 	dh_strip
